Bug 152638 - Static info overrides DHCP in Network Configuration even though DHCP is selected
Summary: Static info overrides DHCP in Network Configuration even though DHCP is selected
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-30 22:09 UTC by Aaron Shelmire
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.0.1-42
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 08:21:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aaron Shelmire 2005-03-30 22:09:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
In the GUI Network Configuration if there is information in the Static Route fields, DHCP will not get the Gateway information from the DHCP server. DHCP negotiates the IP address, DNS servers, and everything else, but does not get the new Gateway.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Enter information into the "Statically Set IP Address" boxes
2. Automatically obtain information from DHCP (including DNS)
3. bring the interfaces down, then up 
  

Actual Results:  I no longer received the gateway via dhcp

Expected Results:  selecting 'automatically obtain information from DHCP' should do just that and ignore the values found in the 'statically set' area.

Additional info:

Comment 1 Dan Williams 2005-05-16 20:20:39 UTC
->system-config-network

Comment 2 Harald Hoyer 2005-05-17 12:26:59 UTC
->dhcp

Comment 3 Jason Vas Dias 2005-05-23 15:21:56 UTC
This issue should be resolved with dhcp-3.0.1-42 in FC-3 updates.
Unless the DHCLIENT_USE_GATEWAY variable is set, dhclient-script
will ignore the static GATEWAY setting .



Note You need to log in before you can comment on or make changes to this bug.